libTIFF TIFF图像CVE-2012-2088缓冲区溢出漏洞

漏洞起因
边界条件错误
危险等级

影响系统
LibTIFF < 4.0

不受影响系统

危害
远程攻击者可以利用漏洞可使应用程序崩溃或执行任意代码。

攻击所需条件
攻击者必须构建恶意文件,诱使应用程序解析。

漏洞信息
LibTiff是一款负责对TIFF图象格式进行编码/解码的应用库。
LibTiff存在一个类型转换缺陷,在读取某些tiled tiff文件时可触发基于堆的缓冲区溢出,攻击者可以构建特制TIFF影响,诱使使用libtiff库的应用程序打开,可使应用程序崩溃或执行任意代码。

测试方法

厂商解决方案
用户可参考如下供应商提供的安全公告获得补丁信息:
https://rhn.redhat.com/errata/RHSA-2012-1054.html

漏洞提供者
Karel Volny